souci php5.4< Sujet précédent  Sujet suivant >
Index du Forum -> NUKED-KLAN VERSION > 1.7 -> Généralités

Page : 1 2 [3] 4 5
AuteurMessage
France.gif titis
Member



Messages : 150
Inscrit(e) le: 19/04/2011
RE : souci php5.4
Citation par PePeRePeRveRs :

Merci pour ce retour titis

Chouette site sur le RC, en tous cas !

PS: dommage que tu aies choisi retirer le copyleft...

Merci

Pour le Copyleft cela fait partie des petites choses encore à voir suite au passage au 5.4. en effet beaucoup de choses de la page préférence générale ne fonctionne plus avec les accents. Comme  la "Charte - réglement de l'inscription :", "Message de Bas de page :", "Description du site :" j'ai du modifier la page alors que en faite il n'y en avait pas besoin et je ne sais pas ou remodifier cela alors je cherche.

Quand on mets un texte sans caractères spéciaux ca marche, mais un texte avec accent est autre il n'est pas envoyé à la base SQL et du coup le champ reste vide.

J'ai une petite liste de choses encore à voir, mais cela n'empêche pas le fonctionnement pour mes visiteurs, je peux voir le 1er avril arriver tranquillement

 

 



Edité par titis le 20/03/2013 - 18:33:38
Posté le 20/03/2013 - 18:31:26   Revenir en haut | Permalien
France.gif AntareS-DK
Member



Messages : 363
Inscrit(e) le: 13/11/2010
RE : souci php5.4

Ouép en effet, joli p'tit site, j'en avais fait un aussi lorsque je me lancais dans le RC (petit monster truck en 1/10) mais c'est un loisir assez couteux et qui demande beaucoup de temps (les réglages et les nettoyages).

Et comme j'ai une maison avec des travaux et d'autre passion j'ai fini par abandonner le RC, j'ai toujours mon p'tit monster mais il avait pas aimer le rotostart, moteur trop léger une tite bielle n'a pas du tout aimé le rotostart !

J'partirais certainement sur du 1/8 qui doit être un poil plus costaud enfin quand j'aurais le temps.

Superbe site en tout cas je le garde dans mes Fav.

J'avais vu des sites de dingue sur le thermo formage (des mec qui font leur propres coques), et pas mal d'autre bidouilles en rapport avec le RC

 



Edité par AntareS-DK le 25/03/2013 - 23:47:31

Vous avez un problème : Si au bout de cinq minutes vous n'avez pas compris comment cela fonctionnait, réessayez plus tard !
Si plus tard vous ne comprenez toujours pas, arrêter complètement c'est que c'est vous le problème.

Version Nuked Klan : 1.7.9

Posté le 25/03/2013 - 23:46:23   Revenir en haut | Permalien
France.gif Sam
Développeur

Messages : 1310
Inscrit(e) le: 19/11/2007
RE : souci php5.4

En attendant la sortie du patch PHP 5.4, ceux qui veulent mettre à jour le site manuellement peuvent se référer à ce topic :

 

http://www.nuked-klan.org/index.php?file=Forum&page=viewtopic&forum_id=6&thread_id=4432&p=1



Posté le 11/04/2013 - 15:31:00   Revenir en haut | Permalien
France.gif titis
Member



Messages : 150
Inscrit(e) le: 19/04/2011
RE : souci php5.4

Bonjour,

Afin de finaliser mon passage au PHP 5.4, j'aurais besoin d'un petit coup de main d'un développeur.

Le plus gros du travail est fait, mais j'ai encore quelques problèmes avec quelques caractères et notamment un problème avec les textes entré dans la rubrique "préférence générale" de la page admin.

Je suis sous SP4.3. Oui c'est vieux, mais vu toutes les modifications perso que j'ai faite je ne peux pas le mettre à jour.

 

Merci.

 



Posté le 24/04/2013 - 08:24:30   Revenir en haut | Permalien
France.gif Sam
Développeur

Messages : 1310
Inscrit(e) le: 19/11/2007
RE : souci php5.4

Salut titis,

 

voici la marche à suivre :

 

Dans le fichier nuked.php de préférence en début de fichier, ajouter ces fonctions :

 

function nkHtmlEntities($var){
    return htmlentities($var, ENT_QUOTES, 'ISO-8859-1' );
}

function nkHtmlEntityDecode($var){
    return html_entity_decode($var, ENT_QUOTES, 'ISO-8859-1' );
}

function nkHtmlSpecialChars($var){
    return htmlspecialchars($var, ENT_QUOTES, 'ISO-8859-1' );
}

 

Ensuite il faut modifier l'intégralité des fichiers NK, si tu as une console linux ça ira vite sinon ça va te prendre un petit bout de temps :

// remplacer tous les appels de fonctions 

htmlentities($variable);

//par

nkHtmlEntities($variable);

// ----------------------------------------------------------

// remplacer tous les appels de fonctions 

html_entity_decode($variable);

//par

nkHtmlEntityDecode($variable);

// ----------------------------------------------------------

// remplacer tous les appels de fonctions 

htmlspecialchars($variable);

//par

nkHtmlSpecialChars($variable);

 

ATTENTION : il y a toutefois une exception !! Tous les appels de fonctions qui contiennent déjà des paramètres ne doivent pas utiliser les nouvelles fonctions.

Exemple :

$title = htmlentities($title, ENT_QUOTES);

doit être remplacé par :

$title = htmlentities($title, ENT_QUOTES, 'ISO-8859-1' );

Ceci est valable pour les 3 fonctions htmlentities, html_entity_decode et htmlspecialchars.

 

Bon courage

 

Cdt,

Sam

 



Posté le 24/04/2013 - 09:20:33   Revenir en haut | Permalien
France.gif titis
Member



Messages : 150
Inscrit(e) le: 19/04/2011
RE : souci php5.4

Salut Samoth

Je te remercie pour les modifications à faire, j'avais regardé le sujet cité si dessus et regardé les modifications, mais comme le sujet était pour 1.7 ce n'est pas pareil.

Je vais tester tout cela et je reviendrais sur le sujet afin de partager le suivi de cette migration.

Merci à vous pour le suivi de cette importante mise à jour.



Edité par titis le 13/05/2013 - 21:33:51
Posté le 24/04/2013 - 11:15:47   Revenir en haut | Permalien
France.gif titis
Member



Messages : 150
Inscrit(e) le: 19/04/2011
RE : souci php5.4

[Résolu à 99% voir poste plus bas] Bonsoir,
J'ai enfin pris le temps de faire les modifications apporté par Samoth que je remercie.
Tout c'est bien passé, mais il me reste encore quelques petits problémes.

 

-En effet dans "paramétre générale" dés que je mets des caractéres spéciaux dans un champs text et que je valide et reviens sur le menu "paramétre générale" les champs sont vides et rien dans la base SQL.
Lors de la validation je n'ai aucune erreur. Je ne peux donc mettre aucun texte en bas de page, pas de charte lors de l'inscription et plus de message d'accueil sur le forum n'y une description de mon site.
Pourrais tu me dire quoi modifier ?

 

-Autre chose il ne faut pas modifier aussi cette ligne à tout hazar ?
J'avais d'autres erreurs, mais aprés avoir fais des essais il faut donc aussi faire ce changement:

htmlentities($title, ENT_NOQUOTES);

Par

htmlentities($title, ENT_NOQUOTES,'ISO-8859-1' );

Je te remercie d'avance pour ton aide.



Edité par titis le 14/05/2013 - 18:24:53
Posté le 13/05/2013 - 21:26:51   Revenir en haut | Permalien
France.gif titis
Member



Messages : 150
Inscrit(e) le: 19/04/2011
RE : souci php5.4

Bonsoir

Et bien sayé mon site est 100% fonctionnel pour le PHP 5.4, merci à l'équipe pour votre aide.

Hier soir j'avais encore quelques problèmes, pas beaucoup de boulo aujourd'hui alors j'ai eu le temps de m'y plonger pour trouver mes erreurs.
Sur mon poste précédent j'ai mis résolu à 99%, car je dois voir pour mettre mon copyleft qui ne doit plus fonctionner à cause de mon théme et aussi parce qu'il y a un petit bug sur le module "petites annonces" que j'avais déjà. Je créer un nouveau sujet pour ce petit problème.

Encore merci à vous pour votre suivi.



Edité par titis le 14/05/2013 - 21:13:15
Posté le 14/05/2013 - 18:24:28   Revenir en haut | Permalien
Belgium.gif Sekuline
Ancien

Messages : 3348
Inscrit(e) le: 04/09/2008
RE : souci php5.4

Salut,

 

Merci du retour, nous avons aussi appliqué le correctif sur GitHub, dispo bientôt sur le site officiel. Smile

 

Sek



développeur web auto-didacte (xHTML, HTML5, CSS3, PHP, MySQL, JS : jQuery)

Espace de stockage portable ! Sekuline

Posté le 15/05/2013 - 02:49:34   Revenir en haut | Permalien
France.gif radeg
Newbie



Messages : 1
Inscrit(e) le: 18/08/2010
RE : souci php5.4

Bonjour

 

Mon hebergeur actuel est 1and1 et il va mettre a jour ces serveurs en PHP 5.4 et supprimer PHP 4.

Sur mon compte client on peut deja faire la modification , mais j'ai le message d'erreur suivant:

Parse error: syntax error, unexpected ';' in /homepages/44/d163767126/htdocs/themes/nk_classic/theme.php on line 102

Comme je n'y connais rien es que quelquun peut m'aider et me dire ce qu'il faut faire.

 

Merci

 



Edité par radeg le 07/06/2013 - 09:04:03
Posté le 05/06/2013 - 12:27:42   Revenir en haut | Permalien
Belgium.gif PePeRePeRveRs
Vice-Président Association

Messages : 3672
Inscrit(e) le: 13/06/2004
RE : souci php5.4

Salut,

 

sans un lien vers ton site (comme demandé dans notre règlement), cela va être difficile de t'aider Wink



Avant d'ouvrir un sujet, n'oubliez pas de lire le règlement et faire une recherche sur le forum !

Posté le 16/06/2013 - 16:43:34   Revenir en haut | Permalien
France.gif Lea_
Newbie



Messages : 9
Inscrit(e) le: 23/10/2013
RE : souci php5.4
Citation par Sekuline :

Salut,

 

Merci du retour, nous avons aussi appliqué le correctif sur GitHub, dispo bientôt sur le site officiel. Smile

 

Sek

Bonjour Smile

 

Je me permets de upper le topic, ne trouvant pas de patch qui semble correspondre à cette modification ?

Je suis allé voir dans la rubrique "téléchargement/télécharger nos modules et addons/addons 1.7.9/patchs" du site.



Posté le 29/10/2013 - 16:17:55   Revenir en haut | Permalien
France.gif Zdav
Responsable Qualité

Messages : 2751
Inscrit(e) le: 06/08/2010
RE : souci php5.4

Salut

 

Version non release et ne le sera pas avant la version 1.8

 

Sry



Posté le 04/11/2013 - 12:32:38   Revenir en haut | Permalien
France.gif julien123
Junior Member



Messages : 13
Inscrit(e) le: 30/01/2015
RE : souci php5.4

Bonsoir, 

 

Voici un extrait d'un mail d'OVH datant du 13/02/2015 : 

 

Dans un souci d'amélioration et de sécurisation des services OVH, nous sensibilisons nos clients sur l'abandon des anciennes versions de PHP, qui ne sont plus maintenues par l'éditeur. Cela concerne actuellement les versions PHP 4 ainsi que 5.3 et inférieures. Il est possible que, dans le futur, nous soyons contraints de ne plus supporter ces versions obsolètes. Ainsi, il est recommandé de veiller à la mise à jour régulière de vos pages. Certains de vos sites utilisent une version obsolète de PHP. Nous vous conseillons donc de migrer vers une version plus récente, idéalement PHP 5.5 ou 5.6.

 

Effectivement je suis actuellement en php 5.3 (conseillée pour NK 1.79).

 

Que faire ? 

Merci.



Jeux : Battlefield 4,3 - Jeux attendus : Hardline, Overwatch

Posté le 13/02/2015 - 01:28:03   Revenir en haut | Permalien
France.gif Zdav
Responsable Qualité

Messages : 2751
Inscrit(e) le: 06/08/2010
RE : souci php5.4

Salut, 

 

Attend quelques semaines , le correctif arrive Smile

Sinon tu trouvera dans ce même sujet la façon de faire pour appliquer les corrections sur tous les fichiers, cependant cette modification n'a rien de compliqué mais est très fastidieuse.

 

Cdt



Posté le 13/02/2015 - 10:34:35   Revenir en haut | Permalien
Page : 1 2 [3] 4 5